//===========================================================================
// Smarclient FPMS Demo Project a sample project for SmartClient technology.
// Smarclient FPMS Demo is designed and implemented bases Microsoft Application Block tech.
// Author: SFPMS Team, Date 2004-11
// Vision 1.0
// Revison History
//=============================================================================
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using JSW.Tool;
using JSW.FPMS.Tool;
using JSW.FPMS.Xian.KongZhi;

namespace JSW.FPMS.Xian.ShiTu
{
	/// <summary>
	/// XianForm 的摘要说明。
	/// </summary>
	public class XianForm : System.Windows.Forms.Form
	{
		#region 成员变量区域
		private System.Windows.Forms.TabControl TABC_Zong;
		private System.Windows.Forms.TabPage TABP_Zong_XuQiuFanKui;
		private System.Windows.Forms.TabPage TABP_Zong_JiBenShuJu_XinXiDianWeiHu;
		private System.Windows.Forms.TabPage TABP_Zong_PeiZhiXinXiWeiHu;
		private System.Windows.Forms.Button BT_ShuanXin;
		private System.Windows.Forms.Button BT_XuQiuFanKui;
		private System.Windows.Forms.GroupBox GB_JieGuo;
		private System.Windows.Forms.DataGrid DG_XuQiu;
		private System.Windows.Forms.GroupBox GB_XinXinDian;
		private System.Windows.Forms.GroupBox GB_XuQiuDaiMaFenLei;
		private System.Windows.Forms.Button BT_XinXinXiDian;
		private System.Windows.Forms.Button BT_XinXuQiuDaiMa;
		private System.Windows.Forms.DataGridTableStyle DGTS_XiuQiu;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_CaiJiShiJian;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_TiChuRen;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_YuFuBianMa;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XuQiuLeiBie;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_DaFuRen;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_DaFuShiJian;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XinXiDianBianHao;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XuQiuManYiDu;
		private System.Windows.Forms.DataGrid DG_XinXinDian;
		private System.Windows.Forms.DataGrid DG_XuQiuLeiBieFenLei;
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.DataGrid DG_PeiZhi;	
		private System.Windows.Forms.DataGridTableStyle DGTS_XinXiDian;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_BianHao;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_ShuoMing;
		private System.Windows.Forms.DataGridTableStyle DGTS_XuQiuFenLei;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XuQiuFenLeiDaiMa;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XuQiuDaMaMingXi;
		private System.Windows.Forms.Button BT_XinShuJuXiang;
		private System.Windows.Forms.DataGridTableStyle DGTS_PeiZhi;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_ShuJuXiangMing;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_ShuJuXiangKJM;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_ShuJuXiangKJLX;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XiTongShuJu;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_MoRenZhi;
		private System.Windows.Forms.Button BT_XiuGaiXinXiDian;

		private clsXianKongZhi jiemianKongZhi = null;
			
		private DataSet xuQiu = null;
		private System.Windows.Forms.Button BT_XiuGaiXuQiuDaiMa;
		private System.Windows.Forms.Button BT_XiuGaiShuJuXiang;
		private System.Windows.Forms.Button BT_DiaoKanShuJuXiang;
		private System.Windows.Forms.Timer TM_ShuJuGengXin;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem MMI_XuQiuFanKui;
		private System.Windows.Forms.MenuItem MMI_JiBenShuJuWeiHu;
		private System.Windows.Forms.MenuItem MMI_ShuJuJieGouWeiHu;
		private System.Windows.Forms.MenuItem menuItem4;
		private System.Windows.Forms.MenuItem MMI_TuiChu;
		private System.Windows.Forms.MenuItem menuItem6;
		private System.Windows.Forms.MenuItem MMI_BangZhu;
		private System.Windows.Forms.MenuItem MMI_GuangYu;
		private String  shujuJian = null;
		#endregion

		#region 私有方法区域

		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.TABC_Zong = new System.Windows.Forms.TabControl();
			this.TABP_Zong_XuQiuFanKui = new System.Windows.Forms.TabPage();
			this.GB_JieGuo = new System.Windows.Forms.GroupBox();
			this.DG_XuQiu = new System.Windows.Forms.DataGrid();
			this.DGTS_XiuQiu = new System.Windows.Forms.DataGridTableStyle();
			this.DGTSTB_CaiJiShiJian = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_TiChuRen = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_YuFuBianMa = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_XuQiuLeiBie = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_DaFuRen = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_DaFuShiJian = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_XinXiDianBianHao = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_XuQiuManYiDu = new System.Windows.Forms.DataGridTextBoxColumn();
			this.BT_ShuanXin = new System.Windows.Forms.Button();
			this.BT_XuQiuFanKui = new System.Windows.Forms.Button();
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu = new System.Windows.Forms.TabPage();
			this.BT_XinXuQiuDaiMa = new System.Windows.Forms.Button();
			this.BT_XinXinXiDian = new System.Windows.Forms.Button();
			this.GB_XinXinDian = new System.Windows.Forms.GroupBox();
			this.DG_XinXinDian = new System.Windows.Forms.DataGrid();
			this.DGTS_XinXiDian = new System.Windows.Forms.DataGridTableStyle();
			this.DGTSTB_BianHao = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_ShuoMing = new System.Windows.Forms.DataGridTextBoxColumn();
			this.BT_XiuGaiXinXiDian = new System.Windows.Forms.Button();
			this.GB_XuQiuDaiMaFenLei = new System.Windows.Forms.GroupBox();
			this.DG_XuQiuLeiBieFenLei = new System.Windows.Forms.DataGrid();
			this.DGTS_XuQiuFenLei = new System.Windows.Forms.DataGridTableStyle();
			this.DGTSTB_XuQiuFenLeiDaiMa = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_XuQiuDaMaMingXi = new System.Windows.Forms.DataGridTextBoxColumn();
			this.BT_XiuGaiXuQiuDaiMa = new System.Windows.Forms.Button();
			this.TABP_Zong_PeiZhiXinXiWeiHu = new System.Windows.Forms.TabPage();
			this.BT_DiaoKanShuJuXiang = new System.Windows.Forms.Button();
			this.BT_XiuGaiShuJuXiang = new System.Windows.Forms.Button();
			this.BT_XinShuJuXiang = new System.Windows.Forms.Button();
			this.DG_PeiZhi = new System.Windows.Forms.DataGrid();
			this.DGTS_PeiZhi = new System.Windows.Forms.DataGridTableStyle();
			this.DGTSTB_ShuJuXiangMing = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_ShuJuXiangKJM = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_ShuJuXiangKJLX = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_XiTongShuJu = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_MoRenZhi = new System.Windows.Forms.DataGridTextBoxColumn();
			this.TM_ShuJuGengXin = new System.Windows.Forms.Timer(this.components);
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.MMI_XuQiuFanKui = new System.Windows.Forms.MenuItem();
			this.MMI_JiBenShuJuWeiHu = new System.Windows.Forms.MenuItem();
			this.MMI_ShuJuJieGouWeiHu = new System.Windows.Forms.MenuItem();
			this.menuItem4 = new System.Windows.Forms.MenuItem();
			this.MMI_TuiChu = new System.Windows.Forms.MenuItem();
			this.menuItem6 = new System.Windows.Forms.MenuItem();
			this.MMI_BangZhu = new System.Windows.Forms.MenuItem();
			this.MMI_GuangYu = new System.Windows.Forms.MenuItem();
			this.TABC_Zong.SuspendLayout();
			this.TABP_Zong_XuQiuFanKui.SuspendLayout();
			this.GB_JieGuo.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.DG_XuQiu)).BeginInit();
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.SuspendLayout();
			this.GB_XinXinDian.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.DG_XinXinDian)).BeginInit();
			this.GB_XuQiuDaiMaFenLei.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.DG_XuQiuLeiBieFenLei)).BeginInit();
			this.TABP_Zong_PeiZhiXinXiWeiHu.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.DG_PeiZhi)).BeginInit();
			this.SuspendLayout();
			// 
			// TABC_Zong
			// 
			this.TABC_Zong.Controls.Add(this.TABP_Zong_XuQiuFanKui);
			this.TABC_Zong.Controls.Add(this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu);
			this.TABC_Zong.Controls.Add(this.TABP_Zong_PeiZhiXinXiWeiHu);
			this.TABC_Zong.Location = new System.Drawing.Point(8, 8);
			this.TABC_Zong.Name = "TABC_Zong";
			this.TABC_Zong.SelectedIndex = 0;
			this.TABC_Zong.Size = new System.Drawing.Size(640, 384);
			this.TABC_Zong.TabIndex = 0;
			// 
			// TABP_Zong_XuQiuFanKui
			// 
			this.TABP_Zong_XuQiuFanKui.Controls.Add(this.GB_JieGuo);
			this.TABP_Zong_XuQiuFanKui.Controls.Add(this.BT_ShuanXin);
			this.TABP_Zong_XuQiuFanKui.Controls.Add(this.BT_XuQiuFanKui);
			this.TABP_Zong_XuQiuFanKui.Location = new System.Drawing.Point(4, 21);
			this.TABP_Zong_XuQiuFanKui.Name = "TABP_Zong_XuQiuFanKui";
			this.TABP_Zong_XuQiuFanKui.Size = new System.Drawing.Size(632, 359);
			this.TABP_Zong_XuQiuFanKui.TabIndex = 0;
			this.TABP_Zong_XuQiuFanKui.Text = "需求反馈";
			// 
			// GB_JieGuo
			// 
			this.GB_JieGuo.Controls.Add(this.DG_XuQiu);
			this.GB_JieGuo.Location = new System.Drawing.Point(16, 32);
			this.GB_JieGuo.Name = "GB_JieGuo";
			this.GB_JieGuo.Size = new System.Drawing.Size(608, 320);
			this.GB_JieGuo.TabIndex = 21;
			this.GB_JieGuo.TabStop = false;
			// 
			// DG_XuQiu
			// 
			this.DG_XuQiu.CaptionVisible = false;
			this.DG_XuQiu.DataMember = "";
			this.DG_XuQiu.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.DG_XuQiu.Location = new System.Drawing.Point(8, 16);
			this.DG_XuQiu.Name = "DG_XuQiu";
			this.DG_XuQiu.Size = new System.Drawing.Size(592, 296);
			this.DG_XuQiu.TabIndex = 0;
			this.DG_XuQiu.TableStyles.AddRange(new System.Windows.Forms.DataGridTableStyle[] {
																								 this.DGTS_XiuQiu});
			this.DG_XuQiu.DoubleClick += new System.EventHandler(this.DG_XuQiu_DoubleClick);
			// 
			// DGTS_XiuQiu
			// 
			this.DGTS_XiuQiu.DataGrid = this.DG_XuQiu;
			this.DGTS_XiuQiu.GridColumnStyles.AddRange(new System.Windows.Forms.DataGridColumnStyle[] {
																										  this.DGTSTB_CaiJiShiJian,
																										  this.DGTSTB_TiChuRen,
																										  this.DGTSTB_YuFuBianMa,
																										  this.DGTSTB_XuQiuLeiBie,
																										  this.DGTSTB_DaFuRen,
																										  this.DGTSTB_DaFuShiJian,
																										  this.DGTSTB_XinXiDianBianHao,
																										  this.DGTSTB_XuQiuManYiDu});
			this.DGTS_XiuQiu.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.DGTS_XiuQiu.MappingName = "XuQiu";
			this.DGTS_XiuQiu.ReadOnly = true;
			// 
			// DGTSTB_CaiJiShiJian
			// 
			this.DGTSTB_CaiJiShiJian.Format = "";
			this.DGTSTB_CaiJiShiJian.FormatInfo = null;
			this.DGTSTB_CaiJiShiJian.HeaderText = "采集时间";
			this.DGTSTB_CaiJiShiJian.MappingName = "CaiJiShiJian";
			this.DGTSTB_CaiJiShiJian.NullText = "";
			this.DGTSTB_CaiJiShiJian.Width = 75;
			// 
			// DGTSTB_TiChuRen
			// 
			this.DGTSTB_TiChuRen.Format = "";
			this.DGTSTB_TiChuRen.FormatInfo = null;
			this.DGTSTB_TiChuRen.HeaderText = "提出人";
			this.DGTSTB_TiChuRen.MappingName = "TiChuRen";
			this.DGTSTB_TiChuRen.NullText = "";
			this.DGTSTB_TiChuRen.Width = 75;
			// 
			// DGTSTB_YuFuBianMa
			// 
			this.DGTSTB_YuFuBianMa.Format = "";
			this.DGTSTB_YuFuBianMa.FormatInfo = null;
			this.DGTSTB_YuFuBianMa.HeaderText = "育妇编码";
			this.DGTSTB_YuFuBianMa.MappingName = "YuFuBianMa";
			this.DGTSTB_YuFuBianMa.NullText = "";
			this.DGTSTB_YuFuBianMa.Width = 75;
			// 
			// DGTSTB_XuQiuLeiBie
			// 
			this.DGTSTB_XuQiuLeiBie.Format = "";
			this.DGTSTB_XuQiuLeiBie.FormatInfo = null;
			this.DGTSTB_XuQiuLeiBie.HeaderText = "需求类别";
			this.DGTSTB_XuQiuLeiBie.MappingName = "XuQiuLeiBie";
			this.DGTSTB_XuQiuLeiBie.NullText = "";
			this.DGTSTB_XuQiuLeiBie.Width = 75;
			// 
			// DGTSTB_DaFuRen
			// 
			this.DGTSTB_DaFuRen.Format = "";
			this.DGTSTB_DaFuRen.FormatInfo = null;
			this.DGTSTB_DaFuRen.HeaderText = "答复人";
			this.DGTSTB_DaFuRen.MappingName = "DaFuRen";
			this.DGTSTB_DaFuRen.NullText = "";
			this.DGTSTB_DaFuRen.Width = 75;
			// 
			// DGTSTB_DaFuShiJian
			// 
			this.DGTSTB_DaFuShiJian.Format = "";
			this.DGTSTB_DaFuShiJian.FormatInfo = null;
			this.DGTSTB_DaFuShiJian.HeaderText = "答复时间";
			this.DGTSTB_DaFuShiJian.MappingName = "DaFuShiJian";
			this.DGTSTB_DaFuShiJian.NullText = "";
			this.DGTSTB_DaFuShiJian.Width = 75;
			// 
			// DGTSTB_XinXiDianBianHao
			// 
			this.DGTSTB_XinXiDianBianHao.Format = "";
			this.DGTSTB_XinXiDianBianHao.FormatInfo = null;
			this.DGTSTB_XinXiDianBianHao.HeaderText = "信息点编号";
			this.DGTSTB_XinXiDianBianHao.MappingName = "XinXiDianBianHao";
			this.DGTSTB_XinXiDianBianHao.NullText = "";
			this.DGTSTB_XinXiDianBianHao.Width = 75;
			// 
			// DGTSTB_XuQiuManYiDu
			// 
			this.DGTSTB_XuQiuManYiDu.Format = "";
			this.DGTSTB_XuQiuManYiDu.FormatInfo = null;
			this.DGTSTB_XuQiuManYiDu.HeaderText = "需求满意度";
			this.DGTSTB_XuQiuManYiDu.MappingName = "XuQiuManYiDu";
			this.DGTSTB_XuQiuManYiDu.NullText = "";
			this.DGTSTB_XuQiuManYiDu.Width = 75;
			// 
			// BT_ShuanXin
			// 
			this.BT_ShuanXin.Location = new System.Drawing.Point(16, 8);
			this.BT_ShuanXin.Name = "BT_ShuanXin";
			this.BT_ShuanXin.TabIndex = 20;
			this.BT_ShuanXin.Text = "刷新";
			this.BT_ShuanXin.Click += new System.EventHandler(this.BT_ShuanXin_Click);
			// 
			// BT_XuQiuFanKui
			// 
			this.BT_XuQiuFanKui.Location = new System.Drawing.Point(96, 8);
			this.BT_XuQiuFanKui.Name = "BT_XuQiuFanKui";
			this.BT_XuQiuFanKui.TabIndex = 19;
			this.BT_XuQiuFanKui.Text = "需求反馈";
			this.BT_XuQiuFanKui.Click += new System.EventHandler(this.BT_XuQiuFanKui_Click);
			// 
			// TABP_Zong_JiBenShuJu_XinXiDianWeiHu
			// 
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.Controls.Add(this.BT_XinXuQiuDaiMa);
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.Controls.Add(this.BT_XinXinXiDian);
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.Controls.Add(this.GB_XinXinDian);
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.Controls.Add(this.GB_XuQiuDaiMaFenLei);
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.Location = new System.Drawing.Point(4, 21);
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.Name = "TABP_Zong_JiBenShuJu_XinXiDianWeiHu";
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.Size = new System.Drawing.Size(632, 359);
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.TabIndex = 1;
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.Text = "基本数据维护";
			// 
			// BT_XinXuQiuDaiMa
			// 
			this.BT_XinXuQiuDaiMa.Location = new System.Drawing.Point(488, 312);
			this.BT_XinXuQiuDaiMa.Name = "BT_XinXuQiuDaiMa";
			this.BT_XinXuQiuDaiMa.Size = new System.Drawing.Size(120, 23);
			this.BT_XinXuQiuDaiMa.TabIndex = 3;
			this.BT_XinXuQiuDaiMa.Text = "添加需求代码";
			this.BT_XinXuQiuDaiMa.Click += new System.EventHandler(this.BT_XinXuQiuDaiMa_Click);
			// 
			// BT_XinXinXiDian
			// 
			this.BT_XinXinXiDian.Location = new System.Drawing.Point(488, 144);
			this.BT_XinXinXiDian.Name = "BT_XinXinXiDian";
			this.BT_XinXinXiDian.Size = new System.Drawing.Size(120, 23);
			this.BT_XinXinXiDian.TabIndex = 2;
			this.BT_XinXinXiDian.Text = "添加信息点";
			this.BT_XinXinXiDian.Click += new System.EventHandler(this.BT_XinXinXiDian_Click);
			// 
			// GB_XinXinDian
			// 
			this.GB_XinXinDian.Controls.Add(this.DG_XinXinDian);
			this.GB_XinXinDian.Controls.Add(this.BT_XiuGaiXinXiDian);
			this.GB_XinXinDian.Location = new System.Drawing.Point(8, 8);
			this.GB_XinXinDian.Name = "GB_XinXinDian";
			this.GB_XinXinDian.Size = new System.Drawing.Size(616, 168);
			this.GB_XinXinDian.TabIndex = 0;
			this.GB_XinXinDian.TabStop = false;
			// 
			// DG_XinXinDian
			// 
			this.DG_XinXinDian.CaptionVisible = false;
			this.DG_XinXinDian.DataMember = "";
			this.DG_XinXinDian.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.DG_XinXinDian.Location = new System.Drawing.Point(8, 16);
			this.DG_XinXinDian.Name = "DG_XinXinDian";
			this.DG_XinXinDian.Size = new System.Drawing.Size(592, 112);
			this.DG_XinXinDian.TabIndex = 0;
			this.DG_XinXinDian.TableStyles.AddRange(new System.Windows.Forms.DataGridTableStyle[] {
																									  this.DGTS_XinXiDian});
			this.DG_XinXinDian.DoubleClick += new System.EventHandler(this.DG_XinXinDian_DoubleClick);
			// 
			// DGTS_XinXiDian
			// 
			this.DGTS_XinXiDian.DataGrid = this.DG_XinXinDian;
			this.DGTS_XinXiDian.GridColumnStyles.AddRange(new System.Windows.Forms.DataGridColumnStyle[] {
																											 this.DGTSTB_BianHao,
																											 this.DGTSTB_ShuoMing});
			this.DGTS_XinXiDian.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.DGTS_XinXiDian.MappingName = "XinXiDian";
			this.DGTS_XinXiDian.ReadOnly = true;
			// 
			// DGTSTB_BianHao
			// 
			this.DGTSTB_BianHao.Format = "";
			this.DGTSTB_BianHao.FormatInfo = null;
			this.DGTSTB_BianHao.HeaderText = "信息点编号";
			this.DGTSTB_BianHao.MappingName = "XinXiDianBianHao";
			this.DGTSTB_BianHao.ReadOnly = true;
			this.DGTSTB_BianHao.Width = 150;
			// 
			// DGTSTB_ShuoMing
			// 
			this.DGTSTB_ShuoMing.Format = "";
			this.DGTSTB_ShuoMing.FormatInfo = null;
			this.DGTSTB_ShuoMing.HeaderText = "信息点说明";
			this.DGTSTB_ShuoMing.MappingName = "XinXiDianXiJie";
			this.DGTSTB_ShuoMing.ReadOnly = true;
			this.DGTSTB_ShuoMing.Width = 300;
			// 
			// BT_XiuGaiXinXiDian
			// 
			this.BT_XiuGaiXinXiDian.Location = new System.Drawing.Point(352, 136);
			this.BT_XiuGaiXinXiDian.Name = "BT_XiuGaiXinXiDian";
			this.BT_XiuGaiXinXiDian.Size = new System.Drawing.Size(120, 23);
			this.BT_XiuGaiXinXiDian.TabIndex = 1;
			this.BT_XiuGaiXinXiDian.Text = "修改信息点";
			this.BT_XiuGaiXinXiDian.Click += new System.EventHandler(this.BT_XiuGaiXinXiDian_Click);
			// 
			// GB_XuQiuDaiMaFenLei
			// 
			this.GB_XuQiuDaiMaFenLei.Controls.Add(this.DG_XuQiuLeiBieFenLei);
			this.GB_XuQiuDaiMaFenLei.Controls.Add(this.BT_XiuGaiXuQiuDaiMa);
			this.GB_XuQiuDaiMaFenLei.Location = new System.Drawing.Point(8, 176);
			this.GB_XuQiuDaiMaFenLei.Name = "GB_XuQiuDaiMaFenLei";
			this.GB_XuQiuDaiMaFenLei.Size = new System.Drawing.Size(616, 168);
			this.GB_XuQiuDaiMaFenLei.TabIndex = 1;
			this.GB_XuQiuDaiMaFenLei.TabStop = false;
			// 
			// DG_XuQiuLeiBieFenLei
			// 
			this.DG_XuQiuLeiBieFenLei.CaptionVisible = false;
			this.DG_XuQiuLeiBieFenLei.DataMember = "";
			this.DG_XuQiuLeiBieFenLei.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.DG_XuQiuLeiBieFenLei.Location = new System.Drawing.Point(8, 16);
			this.DG_XuQiuLeiBieFenLei.Name = "DG_XuQiuLeiBieFenLei";
			this.DG_XuQiuLeiBieFenLei.Size = new System.Drawing.Size(592, 112);
			this.DG_XuQiuLeiBieFenLei.TabIndex = 1;
			this.DG_XuQiuLeiBieFenLei.TableStyles.AddRange(new System.Windows.Forms.DataGridTableStyle[] {
																											 this.DGTS_XuQiuFenLei});
			this.DG_XuQiuLeiBieFenLei.DoubleClick += new System.EventHandler(this.DG_XuQiuDaMa_DoubleClick);
			// 
			// DGTS_XuQiuFenLei
			// 
			this.DGTS_XuQiuFenLei.DataGrid = this.DG_XuQiuLeiBieFenLei;
			this.DGTS_XuQiuFenLei.GridColumnStyles.AddRange(new System.Windows.Forms.DataGridColumnStyle[] {
																											   this.DGTSTB_XuQiuFenLeiDaiMa,
																											   this.DGTSTB_XuQiuDaMaMingXi});
			this.DGTS_XuQiuFenLei.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.DGTS_XuQiuFenLei.MappingName = "XuQiuFenLei";
			this.DGTS_XuQiuFenLei.ReadOnly = true;
			// 
			// DGTSTB_XuQiuFenLeiDaiMa
			// 
			this.DGTSTB_XuQiuFenLeiDaiMa.Format = "";
			this.DGTSTB_XuQiuFenLeiDaiMa.FormatInfo = null;
			this.DGTSTB_XuQiuFenLeiDaiMa.HeaderText = "需求分类代码";
			this.DGTSTB_XuQiuFenLeiDaiMa.MappingName = "XuQiuDaMa";
			this.DGTSTB_XuQiuFenLeiDaiMa.ReadOnly = true;
			this.DGTSTB_XuQiuFenLeiDaiMa.Width = 150;
			// 
			// DGTSTB_XuQiuDaMaMingXi
			// 
			this.DGTSTB_XuQiuDaMaMingXi.Format = "";
			this.DGTSTB_XuQiuDaMaMingXi.FormatInfo = null;
			this.DGTSTB_XuQiuDaMaMingXi.HeaderText = "需求分类明细";
			this.DGTSTB_XuQiuDaMaMingXi.MappingName = "XuQiuDaMaMingXi";
			this.DGTSTB_XuQiuDaMaMingXi.ReadOnly = true;
			this.DGTSTB_XuQiuDaMaMingXi.Width = 300;
			// 
			// BT_XiuGaiXuQiuDaiMa
			// 
			this.BT_XiuGaiXuQiuDaiMa.Location = new System.Drawing.Point(352, 136);
			this.BT_XiuGaiXuQiuDaiMa.Name = "BT_XiuGaiXuQiuDaiMa";
			this.BT_XiuGaiXuQiuDaiMa.Size = new System.Drawing.Size(120, 23);
			this.BT_XiuGaiXuQiuDaiMa.TabIndex = 2;
			this.BT_XiuGaiXuQiuDaiMa.Text = "修改需求代码";
			this.BT_XiuGaiXuQiuDaiMa.Click += new System.EventHandler(this.BT_XiuGaiXuQiuDaiMa_Click);
			// 
			// TABP_Zong_PeiZhiXinXiWeiHu
			// 
			this.TABP_Zong_PeiZhiXinXiWeiHu.Controls.Add(this.BT_DiaoKanShuJuXiang);
			this.TABP_Zong_PeiZhiXinXiWeiHu.Controls.Add(this.BT_XiuGaiShuJuXiang);
			this.TABP_Zong_PeiZhiXinXiWeiHu.Controls.Add(this.BT_XinShuJuXiang);
			this.TABP_Zong_PeiZhiXinXiWeiHu.Controls.Add(this.DG_PeiZhi);
			this.TABP_Zong_PeiZhiXinXiWeiHu.Location = new System.Drawing.Point(4, 21);
			this.TABP_Zong_PeiZhiXinXiWeiHu.Name = "TABP_Zong_PeiZhiXinXiWeiHu";
			this.TABP_Zong_PeiZhiXinXiWeiHu.Size = new System.Drawing.Size(632, 359);
			this.TABP_Zong_PeiZhiXinXiWeiHu.TabIndex = 3;
			this.TABP_Zong_PeiZhiXinXiWeiHu.Text = "数据结构维护";
			// 
			// BT_DiaoKanShuJuXiang
			// 
			this.BT_DiaoKanShuJuXiang.Location = new System.Drawing.Point(248, 328);
			this.BT_DiaoKanShuJuXiang.Name = "BT_DiaoKanShuJuXiang";
			this.BT_DiaoKanShuJuXiang.Size = new System.Drawing.Size(120, 23);
			this.BT_DiaoKanShuJuXiang.TabIndex = 3;
			this.BT_DiaoKanShuJuXiang.Text = "调看数据项";
			this.BT_DiaoKanShuJuXiang.Click += new System.EventHandler(this.BT_DiaoKanShuJuXiang_Click);
			// 
			// BT_XiuGaiShuJuXiang
			// 
			this.BT_XiuGaiShuJuXiang.Location = new System.Drawing.Point(376, 328);
			this.BT_XiuGaiShuJuXiang.Name = "BT_XiuGaiShuJuXiang";
			this.BT_XiuGaiShuJuXiang.Size = new System.Drawing.Size(120, 23);
			this.BT_XiuGaiShuJuXiang.TabIndex = 2;
			this.BT_XiuGaiShuJuXiang.Text = "修改数据项";
			this.BT_XiuGaiShuJuXiang.Click += new System.EventHandler(this.BT_XiuGaiShuJuXiang_Click);
			// 
			// BT_XinShuJuXiang
			// 
			this.BT_XinShuJuXiang.Location = new System.Drawing.Point(504, 328);
			this.BT_XinShuJuXiang.Name = "BT_XinShuJuXiang";
			this.BT_XinShuJuXiang.Size = new System.Drawing.Size(120, 23);
			this.BT_XinShuJuXiang.TabIndex = 1;
			this.BT_XinShuJuXiang.Text = "添加数据项";
			this.BT_XinShuJuXiang.Click += new System.EventHandler(this.BT_XinShuJuXiang_Click);
			// 
			// DG_PeiZhi
			// 
			this.DG_PeiZhi.CaptionVisible = false;
			this.DG_PeiZhi.DataMember = "";
			this.DG_PeiZhi.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.DG_PeiZhi.Location = new System.Drawing.Point(8, 8);
			this.DG_PeiZhi.Name = "DG_PeiZhi";
			this.DG_PeiZhi.Size = new System.Drawing.Size(616, 312);
			this.DG_PeiZhi.TabIndex = 0;
			this.DG_PeiZhi.TableStyles.AddRange(new System.Windows.Forms.DataGridTableStyle[] {
																								  this.DGTS_PeiZhi});
			this.DG_PeiZhi.DoubleClick += new System.EventHandler(this.DG_PeiZhi_DoubleClick);
			// 
			// DGTS_PeiZhi
			// 
			this.DGTS_PeiZhi.DataGrid = this.DG_PeiZhi;
			this.DGTS_PeiZhi.GridColumnStyles.AddRange(new System.Windows.Forms.DataGridColumnStyle[] {
																										  this.DGTSTB_ShuJuXiangMing,
																										  this.DGTSTB_ShuJuXiangKJM,
																										  this.DGTSTB_ShuJuXiangKJLX,
																										  this.DGTSTB_XiTongShuJu,
																										  this.DGTSTB_MoRenZhi});
			this.DGTS_PeiZhi.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.DGTS_PeiZhi.MappingName = "PeiZhiXinXi";
			this.DGTS_PeiZhi.ReadOnly = true;
			// 
			// DGTSTB_ShuJuXiangMing
			// 
			this.DGTSTB_ShuJuXiangMing.Format = "数据项名";
			this.DGTSTB_ShuJuXiangMing.FormatInfo = null;
			this.DGTSTB_ShuJuXiangMing.MappingName = "ShuJuXiangMing";
			this.DGTSTB_ShuJuXiangMing.Width = 75;
			// 
			// DGTSTB_ShuJuXiangKJM
			// 
			this.DGTSTB_ShuJuXiangKJM.Format = "";
			this.DGTSTB_ShuJuXiangKJM.FormatInfo = null;
			this.DGTSTB_ShuJuXiangKJM.HeaderText = "数据项别名";
			this.DGTSTB_ShuJuXiangKJM.MappingName = "ShuJuXiangKJM";
			this.DGTSTB_ShuJuXiangKJM.Width = 75;
			// 
			// DGTSTB_ShuJuXiangKJLX
			// 
			this.DGTSTB_ShuJuXiangKJLX.Format = "";
			this.DGTSTB_ShuJuXiangKJLX.FormatInfo = null;
			this.DGTSTB_ShuJuXiangKJLX.HeaderText = "控件类型";
			this.DGTSTB_ShuJuXiangKJLX.MappingName = "ShuJuXiangKJLX";
			this.DGTSTB_ShuJuXiangKJLX.Width = 75;
			// 
			// DGTSTB_XiTongShuJu
			// 
			this.DGTSTB_XiTongShuJu.Format = "";
			this.DGTSTB_XiTongShuJu.FormatInfo = null;
			this.DGTSTB_XiTongShuJu.HeaderText = "系统数据";
			this.DGTSTB_XiTongShuJu.MappingName = "XiTongShuJu";
			this.DGTSTB_XiTongShuJu.Width = 75;
			// 
			// DGTSTB_MoRenZhi
			// 
			this.DGTSTB_MoRenZhi.Format = "";
			this.DGTSTB_MoRenZhi.FormatInfo = null;
			this.DGTSTB_MoRenZhi.HeaderText = "默认值";
			this.DGTSTB_MoRenZhi.MappingName = "MoRenZhi";
			this.DGTSTB_MoRenZhi.Width = 75;
			// 
			// TM_ShuJuGengXin
			// 
			this.TM_ShuJuGengXin.Enabled = true;
			this.TM_ShuJuGengXin.Interval = 15000;
			this.TM_ShuJuGengXin.Tick += new System.EventHandler(this.TM_ShuJuGengXin_Tick);
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem1,
																					  this.menuItem6});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.MMI_XuQiuFanKui,
																					  this.MMI_JiBenShuJuWeiHu,
																					  this.MMI_ShuJuJieGouWeiHu,
																					  this.menuItem4,
																					  this.MMI_TuiChu});
			this.menuItem1.Text = "文件(&F)";
			// 
			// MMI_XuQiuFanKui
			// 
			this.MMI_XuQiuFanKui.Index = 0;
			this.MMI_XuQiuFanKui.Text = "需求反馈";
			this.MMI_XuQiuFanKui.Click += new System.EventHandler(this.MMI_XuQiuFanKui_Click);
			// 
			// MMI_JiBenShuJuWeiHu
			// 
			this.MMI_JiBenShuJuWeiHu.Index = 1;
			this.MMI_JiBenShuJuWeiHu.Text = "基本数据维护";
			this.MMI_JiBenShuJuWeiHu.Click += new System.EventHandler(this.MMI_JiBenShuJuWeiHu_Click);
			// 
			// MMI_ShuJuJieGouWeiHu
			// 
			this.MMI_ShuJuJieGouWeiHu.Index = 2;
			this.MMI_ShuJuJieGouWeiHu.Text = "数据结构维护";
			this.MMI_ShuJuJieGouWeiHu.Click += new System.EventHandler(this.MMI_ShuJuJieGouWeiHu_Click);
			// 
			// menuItem4
			// 
			this.menuItem4.Index = 3;
			this.menuItem4.Text = "-";
			// 
			// MMI_TuiChu
			// 
			this.MMI_TuiChu.Index = 4;
			this.MMI_TuiChu.Text = "退出";
			this.MMI_TuiChu.Click += new System.EventHandler(this.MMI_TuiChu_Click);
			// 
			// menuItem6
			// 
			this.menuItem6.Index = 1;
			this.menuItem6.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.MMI_BangZhu,
																					  this.MMI_GuangYu});
			this.menuItem6.Text = "帮助(&H)";
			// 
			// MMI_BangZhu
			// 
			this.MMI_BangZhu.Index = 0;
			this.MMI_BangZhu.Text = "帮助";
			// 
			// MMI_GuangYu
			// 
			this.MMI_GuangYu.Index = 1;
			this.MMI_GuangYu.Text = "关于";
			this.MMI_GuangYu.Click += new System.EventHandler(this.MMI_GuangYu_Click);
			// 
			// XianForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(656, 397);
			this.Controls.Add(this.TABC_Zong);
			this.Location = new System.Drawing.Point(350, 200);
			this.MaximumSize = new System.Drawing.Size(664, 444);
			this.Menu = this.mainMenu1;
			this.MinimumSize = new System.Drawing.Size(664, 444);
			this.Name = "XianForm";
			this.Text = "人口和计划生育管理信息系统 (FPMS) ：县级系统";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.XianForm_Closing);
			this.TABC_Zong.ResumeLayout(false);
			this.TABP_Zong_XuQiuFanKui.ResumeLayout(false);
			this.GB_JieGuo.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.DG_XuQiu)).EndInit();
			this.TABP_Zong_JiBenShuJu_XinXiDianWeiHu.ResumeLayout(false);
			this.GB_XinXinDian.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.DG_XinXinDian)).EndInit();
			this.GB_XuQiuDaiMaFenLei.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.DG_XuQiuLeiBieFenLei)).EndInit();
			this.TABP_Zong_PeiZhiXinXiWeiHu.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.DG_PeiZhi)).EndInit();
			this.ResumeLayout(false);

		}
		

		#region 事件响应区域
		/// <summary>
		/// 查询按钮单击响应事件
		/// </summary>
		private void BT_ChaXun_Click(object sender, System.EventArgs e)
		{
			
		}
		/// <summary>
		/// 刷新按钮单击响应事件
		/// </summary>
		private void BT_ShuanXin_Click(object sender, System.EventArgs e)
		{
			jiemianKongZhi.GengXinXuQiu();
		}

		/// <summary>
		/// 双击信息点网格事件响应
		/// </summary>
		private void DG_XinXinDian_DoubleClick(object sender, System.EventArgs e)
		{	
			BT_XiuGaiXinXiDian_Click(sender,e);

		}
		/// <summary>
		/// 新信息点按钮单击事件响应
		/// </summary>
		private void BT_XinXinXiDian_Click(object sender, System.EventArgs e)
		{
			XinXiDianWeiHuForm xinChuanTi = null;
			xinChuanTi = new XinXiDianWeiHuForm(this.jiemianKongZhi);
			
			//显示新的窗体
			xinChuanTi.ShowDialog();
		}

		/// <summary>
		/// 修改需求代码按钮单击事件响应
		/// </summary>
		private void BT_XiuGaiXinXiDian_Click(object sender, System.EventArgs e)
		{
			int hang = this.DG_XinXinDian.CurrentRowIndex;
			XinXiDianWeiHuForm xinChuanTi = null;
			if(hang >= 0 ) 
			{
				Hashtable hangShuJu = this.jiemianKongZhi.HuoDeShuJuHashBiao(clsChangLiang.SHUJU_JIBENSHUJU_XINXIDIAN,hang);
				xinChuanTi = new XinXiDianWeiHuForm(this.jiemianKongZhi,hangShuJu);
				//显示新的窗体
				xinChuanTi.ShowDialog();
			}
			
		}
		
		/// <summary>
		/// 双击需求代码分类网格事件响应
		/// </summary>
		private void DG_XuQiuDaMa_DoubleClick(object sender, System.EventArgs e)
		{	
			BT_XiuGaiXuQiuDaiMa_Click(sender,e);
		}
		/// <summary>
		/// 新需求代码按钮单击事件响应
		/// </summary>
		private void BT_XinXuQiuDaiMa_Click(object sender, System.EventArgs e)
		{
			XuQiuDaMaWeiHuForm xinChuanTi = null;
			xinChuanTi = new XuQiuDaMaWeiHuForm(this.jiemianKongZhi);
			//显示新的窗体
			xinChuanTi.ShowDialog();
		}
		/// <summary>
		/// 修改需求代码按钮单击事件响应
		/// </summary>
		private void BT_XiuGaiXuQiuDaiMa_Click(object sender, System.EventArgs e)
		{
			int hang = this.DG_XuQiuLeiBieFenLei.CurrentRowIndex;
			XuQiuDaMaWeiHuForm xinChuanTi = null;
			if(hang >= 0 ) 
			{
				Hashtable hangShuJu = this.jiemianKongZhi.HuoDeShuJuHashBiao(clsChangLiang.SHUJU_JIBENSHUJU_XUQIUFENLEI,hang);
				xinChuanTi = new XuQiuDaMaWeiHuForm(this.jiemianKongZhi,hangShuJu);
				//显示新的窗体
				xinChuanTi.ShowDialog();
			}
			
		}
		/// <summary>
		/// 双击配置网格事件响应
		/// </summary>
		private void DG_PeiZhi_DoubleClick(object sender, System.EventArgs e)
		{
			BT_XiuGaiShuJuXiang_Click(sender,e);
		}
		/// <summary>
		/// 调看数据项单击响应事件
		/// </summary>
		private void BT_DiaoKanShuJuXiang_Click(object sender, System.EventArgs e)
		{
			int hang = this.DG_PeiZhi.CurrentRowIndex;
			PeiZhiWeiHuForm xinChuanTi = null;
			if(hang >= 0 ) 
			{
				Hashtable hangShuJu = this.jiemianKongZhi.HuoDeShuJuHashBiao(clsChangLiang.SHUJU_PEIZHIXINXI,hang);
				xinChuanTi = new PeiZhiWeiHuForm(this.jiemianKongZhi,hangShuJu,true);
				//显示新的窗体
				xinChuanTi.ShowDialog();
			}
		
		}
		
		/// <summary>
		/// 修改数据项目单击事件响应
		/// </summary>
		private void BT_XiuGaiShuJuXiang_Click(object sender, System.EventArgs e)
		{
			int hang = this.DG_PeiZhi.CurrentRowIndex;
			PeiZhiWeiHuForm xinChuanTi = null;
			if(hang >= 0 ) 
			{
				Hashtable hangShuJu = this.jiemianKongZhi.HuoDeShuJuHashBiao(clsChangLiang.SHUJU_PEIZHIXINXI,hang);
				xinChuanTi = new PeiZhiWeiHuForm(this.jiemianKongZhi,hangShuJu);
				//显示新的窗体
				xinChuanTi.ShowDialog();
			}
			
		}
		/// <summary>
		/// 新数据项目单击事件响应
		/// </summary>
		private void BT_XinShuJuXiang_Click(object sender, System.EventArgs e)
		{
			 
			PeiZhiWeiHuForm xinChuanTi = null;
			xinChuanTi = new PeiZhiWeiHuForm(this.jiemianKongZhi);
			//显示新的窗体
			xinChuanTi.ShowDialog();
		}
		
		/// <summary>
		/// 需求反馈按钮单击响应事件
		/// </summary>
		private void BT_XuQiuFanKui_Click(object sender, System.EventArgs e)
		{	
			//服务器端传回的查询结果
			int hang = this.DG_XuQiu.CurrentRowIndex;
			XuQiuLuRuForm xinChuanTi = null;
			if(hang >= 0 ) 
			{
				DataSet ds = this.jiemianKongZhi.HuoDeShuJu(clsChangLiang.SHUJU_XUQIU,hang);
				//是否已经答复
				if(ds.Tables[0].Rows[0]["DaFuRen"].ToString().Trim().Length > 0) 
				{
					return;
				}
				xinChuanTi = new XuQiuLuRuForm(this.jiemianKongZhi,1,ds);
				xinChuanTi.ShowDialog() ;
			}
		}
		/// <summary>
		/// 
		/// 双击界面事件响应
		/// </summary>
		private void DG_XuQiu_DoubleClick(object sender, System.EventArgs e)
		{
			BT_XuQiuFanKui_Click(sender,e);
		
		}
		

		#endregion

		#endregion

		#region 保护方法区域
		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			//销毁界面元素
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
			//控制器销毁
			try 
			{
				this.jiemianKongZhi.XiaoHui(); 
			}
			catch(Exception genException) 
			{
				clsRiZhiChuLi.JiLuRiZhi(genException.Message);
			}
			
		}

		#endregion

		#region 公有方法区域
		public XianForm()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();
			jiemianKongZhi = new clsXianKongZhi(this);
			jiemianKongZhi.ChuShiHua();					
			
		}

		/// <summary>
		/// 更新需求查询网格
		/// </summary>
		/// <param name="ShuJu"></param>
		public void GengXinShuJu(String Jian,DataSet ShuJu) 
		{
			xuQiu = ShuJu;
			shujuJian = Jian;			
			MethodInvoker	fangfa  = new MethodInvoker(this.ShuaXinXuQiu);
			this.BeginInvoke(fangfa);
		}
		
		/// <summary>
		/// 刷新网格
		/// </summary>
		public void ShuaXinXuQiu() 
		{	
			DataSet xinShuJu = null;
			System.Data.DataView xinShuJuShiTu= null;
			
			if(xuQiu.Tables.Count > 0) 
			{  
				xinShuJu = xuQiu;
				xinShuJuShiTu = xinShuJu.Tables[0].DefaultView; 
			}
			switch(shujuJian) 
			{
				case clsChangLiang.SHUJU_XUQIU :
					this.DG_XuQiu.DataSource = xinShuJuShiTu;
					this.DG_XuQiu.Refresh(); 
					break;

				case clsChangLiang.SHUJU_JIBENSHUJU_XINXIDIAN :
					this.DG_XinXinDian.DataSource = xinShuJuShiTu;
					this.DG_XuQiu.Refresh(); 
					break;

				case clsChangLiang.SHUJU_JIBENSHUJU_XUQIUFENLEI :
					this.DG_XuQiuLeiBieFenLei.DataSource = xinShuJuShiTu;					
					this.DG_XuQiu.Refresh(); 
					break;
				case clsChangLiang.SHUJU_PEIZHIXINXI :
					this.DG_PeiZhi.DataSource = xinShuJuShiTu;
					this.DG_XuQiu.Refresh(); 
					break;
			}			
		}
		/// <summary>
		/// 设置数据源
		/// </summary>
		/// <param name="Jian"></param>
		/// <param name="ShuJu"></param>
		public void  SheZhiShuJuYuan(String Jian,DataSet ShuJu) 
		{			
			if(ShuJu !=null && ShuJu.Tables.Count != 0 ) 
			{	
				switch(Jian) 
				{
						
					case clsChangLiang.SHUJU_XUQIU :
						this.DG_XuQiu.DataSource = ShuJu;			
						this.DG_XuQiu.DataMember =ShuJu.Tables[0].TableName;						
						break;

					case clsChangLiang.SHUJU_JIBENSHUJU_XINXIDIAN :
						this.DG_XinXinDian.DataSource = ShuJu;			
						this.DG_XinXinDian.DataMember =ShuJu.Tables[0].TableName;
						break;

					case clsChangLiang.SHUJU_JIBENSHUJU_XUQIUFENLEI :
						this.DG_XuQiuLeiBieFenLei.DataSource = ShuJu;			
						this.DG_XuQiuLeiBieFenLei.DataMember =ShuJu.Tables[0].TableName;
						break;
					case clsChangLiang.SHUJU_PEIZHIXINXI :
						this.DG_PeiZhi.DataSource = ShuJu;			
						this.DG_PeiZhi.DataMember =ShuJu.Tables[0].TableName;
						break;
				}
				
			}
		}
		#endregion

		#region Main方法区域
		/// <summary>
		/// 应用程序的主入口点。
		/// </summary>
		[STAThread]
		static void Main() 
		{	
			Application.Run(new XianForm());
			
		}
		#endregion		

		/// <summary>
		/// 时钟，定时刷新数据
		/// </summary>
		private void TM_ShuJuGengXin_Tick(object sender, System.EventArgs e)
		{
			this.jiemianKongZhi.DingShiShuaXin(); 
		}

		private void MMI_GuangYu_Click(object sender, System.EventArgs e)
		{
			(new GuanYuForm()).ShowDialog(); 
		}

		private void MMI_XuQiuFanKui_Click(object sender, System.EventArgs e)
		{
			this.TABC_Zong.SelectedIndex = 0;
		}

		private void MMI_JiBenShuJuWeiHu_Click(object sender, System.EventArgs e)
		{
			this.TABC_Zong.SelectedIndex = 1;
		}

		private void MMI_ShuJuJieGouWeiHu_Click(object sender, System.EventArgs e)
		{
			this.TABC_Zong.SelectedIndex = 2;
		}

		private void MMI_TuiChu_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void XianForm_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(DialogResult.Yes != MessageBox.Show(this,
				"您确认退出系统?","提示信息",MessageBoxButtons.YesNo))
				e.Cancel=true;		
		}

		
		

	}
}
